#include <SPI.h>
#include <Adafruit_GFX.h>
#include <Max72xxPanel.h>

int pinCS = 10; // Attach CS to this pin, DIN to MOSI and CLK to SCK (cf http://arduino.cc/en/Reference/SPI )
int numberOfHorizontalDisplays = 16; // Number of Matrix
int numberOfVerticalDisplays = 1;

Max72xxPanel matrix = Max72xxPanel(pinCS, numberOfHorizontalDisplays, numberOfVerticalDisplays);


String phraseone = "concentre-toi   ";
String phrasetwo = "redresse-toi   ";
String phrasethree = "REGARDE-MOI  ";  // etc etc  laisser toujours   mini 2 espaces en fin de phrase 



int wait = 25; // In milliseconds
int choice =0;
int spacer = 1;
int width = 5 + spacer; // The font width is 5 pixels

void setup() {

  
  Serial.begin(9600);


  
  delay (1000);
  
  matrix.setIntensity(3); // Use a value between 0 and 15 for brightness

  // Rotate the matrix in line
  matrix.setRotation(0, 1);
  matrix.setRotation(1, 1);
  matrix.setRotation(2, 1);
  matrix.setRotation(3, 1);
  matrix.setRotation(4, 1);
  matrix.setRotation(5, 1);
  matrix.setRotation(6, 1);
  matrix.setRotation(7, 1);
  matrix.setRotation(8, 1);
  matrix.setRotation(9, 1);
  matrix.setRotation(10, 1);
  matrix.setRotation(11, 1);  
  matrix.setRotation(12, 1);
  matrix.setRotation(13, 1);
  matrix.setRotation(14, 1);
  matrix.setRotation(15, 1);
  
}




void loop() {
  choice=100;

  if (Serial.available() > 0) {
 choice = Serial.read();
Serial.println (choice);
   }

    switch (choice) {
      case 48: ; break;   // c'est 0    
      case 49: phrasenumber1(); break;  //le nombre 1 en ascii = 49
      case 50: phrasenumber2(); break;
      case 51: phrasenumber3(); break;
      case 52:  break;    /// etc 
      case 53:  break;
      case 54:  break;
      case 55:  break;
      case 56:  break;
      case 57:  break;
      case 58:  break;
      case 59:  break;    /// etc 
   
      default:  break;
  }

}









void phrasenumber1() {


   for ( int i = 0 ; i < width * phraseone.length() + matrix.width() - 1 - spacer; i++ ) {

    matrix.fillScreen(LOW);

    int letter = i / width;
    int x = (matrix.width() - 1) - i % width;
    int y = (matrix.height() - 8) / 2; // center the text vertically

    while ( x + width - spacer >= 0 && letter >= 0 ) {
      if ( letter < phraseone.length() ) {
        matrix.drawChar(x, y, phraseone[letter], HIGH, LOW, 1);
      }

      letter--;
      x -= width;
    }

    matrix.write(); // Send bitmap to display

    delay(25);  // rapide 
  }

}

void phrasenumber2() {


   for ( int i = 0 ; i < width * phrasetwo.length() + matrix.width() - 1 - spacer; i++ ) { // change 

    matrix.fillScreen(LOW);

    int letter = i / width;
    int x = (matrix.width() - 1) - i % width;
    int y = (matrix.height() - 8) / 2; // center the text vertically

    while ( x + width - spacer >= 0 && letter >= 0 ) {
      if ( letter < phrasetwo.length() ) {                         // change
        matrix.drawChar(x, y, phrasetwo[letter], HIGH, LOW, 1);    // change 
      }

      letter--;
      x -= width;
    }

    matrix.write(); // Send bitmap to display

    delay(25);  // normale 
    
  }


  
}


void phrasenumber3() {


   for ( int i = 0 ; i < width * phrasethree.length() + matrix.width() - 1 - spacer; i++ ) { // change 

    matrix.fillScreen(LOW);

    int letter = i / width;
    int x = (matrix.width() - 1) - i % width;
    int y = (matrix.height() - 8) / 2; // center the text vertically

    while ( x + width - spacer >= 0 && letter >= 0 ) {
      if ( letter < phrasethree.length() ) {                         // change
        matrix.drawChar(x, y, phrasethree[letter], HIGH, LOW, 1);    // change 
      }

      letter--;
      x -= width;
    }

    matrix.write(); // Send bitmap to display

    delay(25);  // normale 
    
  }


  
}

//etc 


//  FIN
